> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set tenant metadata

> Add metadata to your [Tenant Metadata](/key-concepts/tenants/metadata) object



## OpenAPI

````yaml put /tenant/{env_id}/{tenant}/metadata
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /tenant/{env_id}/{tenant}/metadata:
    put:
      summary: Set tenant metadata
      description: >-
        Add metadata to your [Tenant Metadata](/key-concepts/tenants/metadata)
        object
      operationId: set-tenant-metadata
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                config:
                  type: object
                  description: The tenant config to save in hotglue.
                  properties:
                    metadata:
                      type: object
                      description: >-
                        The tenant metadata to save in hotglue. Can be any JSON
                        object
                      properties: {}
                  required:
                    - metadata
              required:
                - config
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````